<?php
	$rdata = array_map('to_utf8', array_map('nl2br', array_map('html_attr_tags_ok', $rdata)));
	$jdata = array_map('to_utf8', array_map('nl2br', array_map('html_attr_tags_ok', $jdata)));
?>
<script>
	$j(function(){
		var tn = 'carrieres';

		/* data for selected record, or defaults if none is selected */
		var data = {
			matricule: <?php echo json_encode(array('id' => $rdata['matricule'], 'value' => $rdata['matricule'], 'text' => $jdata['matricule'])); ?>,
			r_n_m_a_p_d: <?php echo json_encode(array('id' => $rdata['r_n_m_a_p_d'], 'value' => $rdata['r_n_m_a_p_d'], 'text' => $jdata['r_n_m_a_p_d'])); ?>
		};

		/* initialize or continue using AppGini.cache for the current table */
		AppGini.cache = AppGini.cache || {};
		AppGini.cache[tn] = AppGini.cache[tn] || AppGini.ajaxCache();
		var cache = AppGini.cache[tn];

		/* saved value for matricule */
		cache.addCheck(function(u, d){
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'matricule' && d.id == data.matricule.id)
				return { results: [ data.matricule ], more: false, elapsed: 0.01 };
			return false;
		});

		/* saved value for r_n_m_a_p_d */
		cache.addCheck(function(u, d){
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'r_n_m_a_p_d' && d.id == data.r_n_m_a_p_d.id)
				return { results: [ data.r_n_m_a_p_d ], more: false, elapsed: 0.01 };
			return false;
		});

		cache.start();
	});
</script>

